<?php
require_once('../../../includes/load.php');

    $abastecimiento = find_by_id('abastecimiento',(int)$_GET['id']);
      if(!$abastecimiento){
          $session->msg("d","Error: No se encontró id del abastecimiento.");
          redirect('../listado_abastecimiento.php');
      }
    

       $consultaEstado = "SELECT * FROM abastecimiento WHERE EstadoAbastecimiento = 'Proceso' and id='{$abastecimiento['id']}'";
       $consultaEstadoTerminado = "SELECT * FROM abastecimiento WHERE EstadoAbastecimiento = 'Terminado' and id='{$abastecimiento['id']}'";

       $resutlActivo = $db->query($consultaEstado);
       $resultInactivo = $db->query($consultaEstadoTerminado);

       if($db->num_rows($resutlActivo) == 1) {
           $query ="UPDATE abastecimiento SET EstadoAbastecimiento ='Terminado' WHERE id='{$abastecimiento['id']}'";
           $db->query($query);
           $session->msg("s","Abastecimiento Terminado");
           redirect('../listado_abastecimiento.php');
       }else{
           if ($db->num_rows($resultInactivo) == 1) {
	           	$session->msg("d","Abastecimiento ya Terminado");
	         	redirect('../listado_abastecimiento.php');
           }else{
	           	$session->msg("w","Hubo un Error, Comunicar!!");
	       		redirect('../listado_abastecimiento.php');
           }
       	
       }


 

    
 



